Package org.apache.aries.jax.rs.rest.management.schema

## Class ServiceSchemaAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<ServiceSchemaAdapter.ServiceSchemaAdapted,​ServiceSchema>
  - - org.apache.aries.jax.rs.rest.management.schema.ServiceSchemaAdapter

    public class ServiceSchemaAdapter
    extends XmlAdapter<ServiceSchemaAdapter.ServiceSchemaAdapted,​ServiceSchema>

### Nested Class Summary

Nested Classes
`static class` `ServiceSchemaAdapter.ServiceSchemaAdapted`

### Constructor Summary

Constructors
`ServiceSchemaAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServiceSchemaAdapter.ServiceSchemaAdapted` `marshal​(ServiceSchema serviceSchema)`
`ServiceSchema` `unmarshal​(ServiceSchemaAdapter.ServiceSchemaAdapted adapter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceSchemaAdapter

    public ServiceSchemaAdapter()

### Method Detail

#### marshal

    public ServiceSchemaAdapter.ServiceSchemaAdapted marshal​(ServiceSchema serviceSchema)
                                                      throws Exception

Specified by:
  `marshal` in class `XmlAdapter<ServiceSchemaAdapter.ServiceSchemaAdapted,​ServiceSchema>`
Throws:
  `Exception`

#### unmarshal

    public ServiceSchema unmarshal​(ServiceSchemaAdapter.ServiceSchemaAdapted adapter)
                            throws Exception

Specified by:
  `unmarshal` in class `XmlAdapter<ServiceSchemaAdapter.ServiceSchemaAdapted,​ServiceSchema>`
Throws:
  `Exception`